| DocBook: The Definitive Guide 2.0.17 (Alpha)

# areaspec

$Revision$

$Date$

areaspec — A collection of regions in a graphic or code example

## Synopsis

### Content Model

    areaspec ::=
    ((area|areaset)+)

### Attributes

Common attributes

Name | Type | Default
otherunits | NMTOKEN | None

units

Enumeration:
calspair
linecolumn
linecolumnpair
linerange
other

None

## Description

An `AreaSpec` holds a collection of regions and/or region sets in a graphic, program listing, or screen that are associated with `Callout` descriptions. See `Area` for a description of the attributes.

### Processing expectations

Suppressed. This element provides data for processing but it is not expected to be rendered directly.

### Parents

These elements contain areaspec: `graphicco`, `imageobjectco`, `programlistingco`, `screenco`.

### Children

The following elements occur in areaspec: `area`, `areaset`.

## Attributes

otherunits

  If none of the `Units` are applicable, set `Units` to `Other` and set `OtherUnits` to some application-specific description of the desired units.

units

  `Units` indicate how the specified `Coords` are to be interpreted. The default units vary according to the type of callout specified; `CALSPair` for graphics and `LineColumn` for line-oriented elements.

## See Also

`calloutlist`, `co`, `coref`, `graphicco`, `imageobjectco`, `mediaobjectco`, `programlistingco`, `screenco`.

## Examples

For examples, see `graphicco`, `mediaobjectco`, `programlistingco`.

areaset |  | arg

Copyright © 1999, 2000, 2001, 2002, 2003 O'Reilly & Associates, Inc. All rights reserved.